System.ServiceModel 4.0.0.0 System.Enum

MSMQ transport security secures messages using MSMQ. SOAP security secures messages using the WS-* security protocols. This property determines the mechanisms by which transfer security functions (such as integrity, confidentiality and authentication) are obtained.

The enumeration specifies security modes that can be used by the MSMQ transport.

- Field
  4.0.0.0
  System.ServiceModel.NetMsmqSecurityMode

  Enables both MSMQ transport security and SOAP security.

- Field
  4.0.0.0
  System.ServiceModel.NetMsmqSecurityMode

  Enables SOAP security.

- Field
  4.0.0.0
  System.ServiceModel.NetMsmqSecurityMode

  Disables both MSMQ transport security and SOAP security.

- Field
  4.0.0.0
  System.ServiceModel.NetMsmqSecurityMode

  Enables MSMQ transport security.